Qt 5.11 | Qt 3D | C++ Classes | QPickPointEvent

Qt 5.11.3 Reference Documentation

# QPickPointEvent Class

(Qt3DRender::QPickPointEvent)

The QPickPointEvent class holds information when a segment of a point cloud is picked. More...

Header: | #include <QPickPointEvent>
qmake: | QT += 3drender
Since: | Qt 5.10
Instantiated By: | PickPointEvent
Inherits: | Qt3DRender::QPickEvent

- List of all members, including inherited members

## Properties

- pointIndex : const uint

- 8 properties inherited from Qt3DRender::QPickEvent

## Public Functions

| QPickPointEvent()
| QPickPointEvent(const QPointF &position, const QVector3D &worldIntersection, const QVector3D &localIntersection, float distance, uint pointIndex, Qt3DRender::QPickEvent::Buttons button, int buttons, int modifiers)
uint | pointIndex() const

- 8 public functions inherited from Qt3DRender::QPickEvent

### Additional Inherited Members

- 1 public slot inherited from Qt3DRender::QPickEvent
- 1 signal inherited from Qt3DRender::QPickEvent

## Detailed Description

The QPickPointEvent class holds information when a segment of a point cloud is picked.

See also QPickEvent.

## Property Documentation

### pointIndex : const uint

Specifies the index of the point that was picked

Access functions:

uint | pointIndex() const

## Member Function Documentation

### QPickPointEvent::QPickPointEvent()

Constructs a new QPickPointEvent.

### QPickPointEvent::QPickPointEvent(const QPointF &position, const QVector3D &worldIntersection, const QVector3D &localIntersection, float distance, uint pointIndex, Qt3DRender::QPickEvent::Buttons button, int buttons, int modifiers)

Default constructs an instance of QPickPointEvent.

### uint QPickPointEvent::pointIndex() const

QPickPointEvent::pointIndex Returns the index of the picked point

Note: Getter function for property pointIndex.